Bug 997884 - 9p support should be disabled in libguestfs in RHEL 6
9p support should be disabled in libguestfs in RHEL 6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 921710
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 07:36 EDT by Richard W.M. Jones
Modified: 2013-12-25 19:13 EST (History)
7 users (show)

See Also:
Fixed In Version: libguestfs-1.20.10-3.el6
Doc Type: Bug Fix
Doc Text:
(This was never in a released version of libguestfs and so does not need to be documented)
Story Points: ---
Clone Of: 921710
Environment:
Last Closed: 2013-11-20 23:46:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1536 normal SHIPPED_LIVE Moderate: libguestfs security, bug fix, and enhancement update 2013-11-20 19:40:55 EST

  None (edit)
Comment 1 Richard W.M. Jones 2013-08-16 07:37:42 EDT
This should be a blocker / exception, if someone can set one
of those flags.
Comment 3 Lingfei Kong 2013-10-17 04:43:47 EDT
Reproduce:
Version-Release number of selected component: libguestfs-1.20.10-2.el6.x86_64
1. [host]#guestfish --version
libguestfs: trace: version
libguestfs: trace: version = <struct guestfs_version *>
guestfish 1.20.10rhel=6,release=2.el6
libguestfs: trace: close

2. [host]#guestfish -h | grep 9p
list-9p              list 9p filesystems
mount-9p             mount 9p filesystem
libguestfs: trace: close


Verified:
Version-Release number of selected component: libguestfs-1.20.10-3.el6.x86_64.rpm
1. [host]#guestfish --version
libguestfs: trace: version
libguestfs: trace: version = <struct guestfs_version *>
guestfish 1.20.10rhel=6,release=3.el6
libguestfs: trace: close

2. [host]#guestfish -h | grep 9p
libguestfs: trace: close

No list-9p and mount-9p.
Comment 5 errata-xmlrpc 2013-11-20 23:46:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1536.html

Note You need to log in before you can comment on or make changes to this bug.